package com.bonait.bnframework.HBL.Communication.Modbus;

import com.bonait.bnframework.HBL.Result.OperateResult;

public interface IWrite {
    OperateResult WriteBool(String address, boolean value);
    OperateResult WriteBool(String address, boolean[] value);
    OperateResult WriteBool(String address, boolean[] value, int slaveId);

    OperateResult WriteShort(String address, short value);
    OperateResult WriteShort(String address, short[] value);
    OperateResult WriteShort(String address, short[] value, int slaveId);

    OperateResult WriteInt(String address, int value);
    OperateResult WriteInt(String address, int[] value);
    OperateResult WriteInt(String address, int[] value, int slaveId);

    OperateResult WriteString(String address, String value,  int slaveId);

    OperateResult WriteFloat(String address, float value);
    OperateResult WriteFloat(String address, float[] value);
    OperateResult WriteFloat(String address, float[] value,  int slaveId);
}
